package com.perforce.spark.store;

import javax.servlet.http.HttpServletResponse;

import org.apache.http.HttpResponse;

import spark.Request;
import spark.Response;

import com.perforce.p4java.server.IOptionsServer;
import com.perforce.spark.artifact.ArtifactType;

public class MavenStore extends DefaultStore {

	public MavenStore(ArtifactType type) {
		super(type);
	}

	public MavenStore(Request request) {
		super(request);
	}

	@Override
	public String getSummaryPattern() {
		return "*.pom";
	}

	@Override
	public String getPath(Request request) {
		String path = toPath(request);
		path = mapExtension(path, ".orbit", ".jar");
		return path;
	}

	@Override
	public HttpServletResponse fetch(IOptionsServer p4, Request request,
			Response response) throws Exception {
		String path = getPath(request);
		return getFile(p4, path, response);
	}

	@Override
	public HttpResponse query(IOptionsServer p4, Request request,
			Response response) throws Exception {

		return null;
	}
}
